Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IInPlaceEditor

All Superinterfaces:
  IAdaptable, IEditorPart, ISaveablePart, IWorkbenchPart

    public interface IInPlaceEditor

extends IEditorPart

Interface for editor parts that represent an in-place style editor.

This interface is not intended to be implemented or extended by clients.

Since:
  3.0
See Also:
  `IEditorDescriptor.isOpenInPlace()`
Restriction:
  This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Method Summary
`void` `sourceChanged(IInPlaceEditorInput input)` Informs the in-place editor that the system file it is editing was moved or renamed by the application.
`void` `sourceDeleted()` Informs the in-place editor that the system file it is editing was deleted by the application.

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Method Detail

### sourceDeleted

    void sourceDeleted()

  Informs the in-place editor that the system file it is editing was deleted by the application.

### sourceChanged

    void sourceChanged(IInPlaceEditorInput input)

  Informs the in-place editor that the system file it is editing was moved or renamed by the application.

  Parameters:
    `input` - the new in-place editor input to use

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.